﻿@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

:root {
    --primary-color: rgb(106, 159, 46);
    --primary-color-text: rgb(124, 205, 129);
    --primary-color-rgba-1: rgba(106, 159, 46, 0.1);
    --primary-color-rgba-2: rgba(106, 159, 46, 0.2);
    --primary-color-rgba-3: rgba(106, 159, 46, 0.3);
    --primary-color-rgba-4: rgba(106, 159, 46, 0.4);
    --primary-color-rgba-5: rgba(106, 159, 46, 0.5);
    --primary-color-rgba-6: rgba(106, 159, 46, 0.6);
    --primary-color-rgba-7: rgba(106, 159, 46, 0.7);
    --primary-color-rgba-8: rgba(106, 159, 46, 0.8);
    --primary-color-rgba-9: rgba(106, 159, 46, 0.9);
}

html,
body {
    font-family: "Montserrat", sans-serif;
    font-size: 1rem;
}

.primary-color-text {
    color: var(--primary-color-text) !important;
}

section {
    background-image: url("../images/background.jpg");
    height: 100%;
    background-size: cover;
    position: relative;
}

    section .logo {
        background-image: url("../images/logo/logo.png");
        background-size: cover;
        position: absolute;
        top: 1%;
        left: 2%;
        object-fit: cover;
        width: 19%;
    }

.login-section {
    font-size: 1.1rem;
}

    .login-section .login-content {
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        color: #fff;
        z-index: 1;
        font-size: 1.1rem;
        min-height: 100vh;
    }

.login-content h1 {
    font-weight: 900;
    text-align: center;
}

.login-content .btn {
    border-radius: 2rem;
    min-width: 450px;
}

    .login-content .btn span {
        flex-grow: 1;
        text-align: center;
        font-size: 1.1rem;
    }

.login-section .zeen {
    background-size: cover;
    position: absolute;
    bottom: 1%;
    right: 2%;
    object-fit: cover;
    width: 25%;
}

.register-section {
    font-size: 1.1rem;
}

    .register-section .register-content {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        min-height: 100vh;
    }

.register-content h1 {
    font-weight: 900;
    color: #fff;
}

.register-content .register-form {
    min-width: 45vw;
}

.form-control {
    border: 1px solid #fff;
    background-color: transparent;
    color: white;
    border-radius: 5px;
}

    .form-control::placeholder {
        color: #fff;
    }

    .form-control:focus {
        background-color: rgba(255, 255, 255, 0.1);
        color: white;
        border-color: #fff;
        outline: 0;
        box-shadow: 0 0 0 0.25rem rgba(255, 255, 255, 0.25);
    }

.btn-start {
    border-radius: 2rem;
    font-weight: 800;
    font-size: 1.4rem;
    padding: 0.3rem 3rem;
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

    .btn-start:hover,
    .btn-start:active {
        background-color: var(--primary-color-rgba-7) !important;
        border-color: var(--primary-color-rgba-7) !important;
    }

.select2-container--bootstrap-5 .select2-selection {
    background-color: transparent;
    border-color: #fff;
    color: #fff;
}

.select2-selection__rendered .select2-selection__placeholder {
    color: #fff !important;
}

.select2-container--bootstrap-5.select2-container--focus .select2-selection,
.select2-container--bootstrap-5.select2-container--open .select2-selection {
    background-color: rgba(255, 255, 255, 0.1);
    box-shadow: 0 0 0 0.25rem rgba(255, 255, 255, 0.25);
    border-color: #fff;
}

.select2-container--bootstrap-5.select2-container--focus .select2-selection {
    border-color: #fff;
}

.select2-container--bootstrap-5 .select2-selection--single .select2-selection__rendered {
    color: #fff;
}

.select2-container--bootstrap-5 .select2-selection--single {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
}

input:-webkit-autofill {
    box-shadow: 0 0 0 30px #5a5a5a inset !important;
    -webkit-text-fill-color: #fff !important;
}

input:-moz-autofill {
    box-shadow: 0 0 0 30px #5a5a5a inset !important;
    -moz-text-fill-color: #fff !important;
}

input:-ms-autofill {
    box-shadow: 0 0 0 30px #5a5a5a inset !important;
    -ms-text-fill-color: #fff !important;
}

.register-form .back {
    color: #fff;
    font-weight: 600;
    font-size: 1.1rem;
}

.register-form .icon-left {
    font-size: 0.9rem;
}

.register-content input,
.register-content select {
    font-size: 1.1rem;
}

.code-section {
    font-size: 1.1rem;
}

    .code-section .code-content {
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        color: #fff;
        z-index: 1;
        font-size: 1.1rem;
        min-height: 100vh;
    }

.code-content .code-form {
    min-width: 30vw;
}

.code-section .zeen {
    background-size: cover;
    position: absolute;
    bottom: 0;
    left: 0;
    object-fit: cover;
    width: 20%;
}

.code-content h1 {
    font-weight: 900;
    text-align: center;
}

.form-check-input:checked {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.form-check-input:focus {
    border-color: var(--primary-color);
    outline: 0;
    box-shadow: 0 0 0 0.25rem var(--primary-color-rgba-3);
}

.result-content {
    display: flex;
    height: 100vh;
    align-items: center;
    justify-content: center;
    flex-direction: row-reverse;
}

    .result-content .info-container {
        font-size: 1.1rem;
        color: #fff;
        margin-bottom: 1rem;
        max-width: 600px;
    }

.info-container h1 {
    border: 2px dashed #fff;
    text-align: center;
    padding: 0.5rem 0.25rem;
    border-radius: 0.5rem;
    margin-bottom: 1rem;
    font-weight: 900;
}

.info-container p {
    margin-bottom: 0.5rem;
}

.result-content .status-container {
    font-size: 1.1rem;
    color: #fff;
    text-align: center;
    max-width: 600px;
}

.status-container h1 {
    border: 2px dashed #fff;
    text-align: center;
    padding: 0.5rem 0.25rem;
    border-radius: 0.5rem;
    margin-bottom: 3rem;
    font-weight: 900;
}

.status-container a {
    color: #fff;
}

.progress-container {
    position: relative;
    width: 50%;
    height: 3.5rem;
    background-color: transparent;
    border-radius: 2rem;
    border: 3px solid #fff;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    margin-bottom: 1rem;
}

.progress-bar {
    height: 100%;
    background-color: var(--primary-color);
    border-radius: 2rem;
    transition: width 0.5s ease;
}

.progress-text {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    color: #fff;
    z-index: 2;
}

.result-content .result-message {
    position: relative;
}

.result-message .zeen {
    position: absolute;
    width: 50%;
    transform: translateY(-10%);
}

.result-message .cloud {
    position: absolute;
    width: 50%;
    left: 20%;
    transform: translateY(-60%);
}

.result-message .cloud-text {
    position: absolute;
    width: 50%;
    left: 20%;
    color: #000;
    font-size: 1.1rem;
    text-align: center;
    line-height: 1.4;
    word-wrap: break-word;
    transform: translateY(-100%);
}

.cloud-text span {
    color: var(--primary-color-text);
    font-weight: 800;
    text-decoration: underline;
}

.history-section .history-content {
    font-size: 1.1rem;
    height: 100vh;
    color: #fff;
    text-align: center;
    padding-top: 5rem;
}

.history-content h1 {
    font-weight: 900;
}

.history-content .count-history {
    margin-top: 3rem;
}

.count-history span {
    font-weight: bold;
    font-size: 1.1rem;
}

.history-content .table-responsive {
    height: 60vh;
    overflow-y: auto;
    overflow-x: hidden;
    margin-top: 2rem;
}

.table-responsive .history-table {
    font-size: 1.1rem;
    width: 100%;
    border-collapse: collapse;
}

.history-table th {
    border: 1px solid #fff;
    padding: 1.2rem 2rem;
    font-weight: bold;
}

.history-table td {
    border: 1px solid #fff;
    padding: 0.5rem 2rem;
    white-space: nowrap;
}

@media (max-width: 1200px) {
    section .logo {
        width: 40%;
    }

    .login-section {
        font-size: 1rem;
    }

    .login-content .btn span {
        font-size: 1rem;
    }

    .login-content p {
        font-size: 1rem;
    }

    .login-section .zeen {
        width: 35%;
    }

    .register-section {
        height: 150%;
    }

    .result-content {
        display: block;
        height: unset;
    }

        .result-content .info-container {
            margin-top: 15rem;
            font-size: 1rem;
            max-width: unset;
        }

        .result-content .status-container {
            font-size: 1rem;
            max-width: unset;
        }

        .result-content .result-message {
            position: relative;
        }

    .result-message .zeen {
        position: relative;
        padding-top: 15rem;
        padding-bottom: 5rem;
        width: 40%;
        transform: translateX(35%);
    }

    .result-message .cloud {
        left: 30%;
        top: 40%;
    }

    .result-message .cloud-text {
        left: 30%;
        top: 39%;
        font-size: 1rem;
    }

    .cloud-text span {
        font-size: 1rem;
    }

    .history-section .history-content {
        font-size: 1rem;
        padding-top: 12rem;
    }

    .history-content h1 {
        font-weight: 900;
    }

    .history-content .count-history {
        margin-top: 3rem;
    }

    .count-history span {
        font-weight: bold;
        font-size: 1rem;
    }

    .history-content .table-responsive {
        height: 60vh;
        overflow-y: auto;
        overflow-x: hidden;
        margin-top: 2rem;
    }

    .table-responsive .history-table {
        font-size: 1rem;
    }

    .history-table th {
        padding: 1rem 1.5rem;
    }

    .history-table td {
        padding: 0.5rem 1.5rem;
    }
}

@media (max-width: 767px) {
    section .logo {
        top: 4rem;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 60%;
    }

    .login-section {
        font-size: 0.9rem;
    }

    .login-content h1 {
        font-size: 1.5rem;
    }

    .login-content .btn {
        min-width: 300px;
    }

        .login-content .btn span {
            font-size: 0.9rem;
        }

    .login-content p {
        font-size: 0.9rem;
    }

    .login-section .zeen {
        width: 35%;
        left: 50%;
        transform: translate(-50%, -50%);
        bottom: -9%;
    }

    .register-section {
        font-size: 0.9rem;
    }

        .register-section .register-content {
            display: block;
            padding-top: 9rem;
            min-height: auto;
            margin-bottom: 2rem;
        }

    .register-content h1 {
        font-size: 1.4rem;
        text-align: center;
    }

    .register-content input,
    .register-content select {
        font-size: 0.9rem;
    }

    .btn-start {
        font-size: 1.1rem;
        padding: 0.3rem 2rem;
        font-weight: 700;
    }

    .register-form .back {
        font-size: 0.9rem;
    }

    .code-section {
        font-size: 0.9rem;
    }

        .code-section .code-content {
            font-size: 0.9rem;
            display: block;
            padding-top: 8rem;
        }

    .code-content .code-form {
        min-width: 100%;
    }

    .code-section .zeen {
        width: 35%;
    }

    .code-content h1 {
        font-weight: 900;
        text-align: center;
        font-size: 1.4rem;
    }

    .result-content .info-container {
        margin-top: 10rem;
        font-size: 0.9rem;
        max-width: unset;
    }

    .result-content .status-container {
        font-size: 0.9rem;
        max-width: unset;
    }

    .status-container h1 {
        font-size: 1.4rem;
    }

    .info-container h1 {
        font-size: 1.4rem;
    }

    .result-content .result-message {
        position: relative;
    }

    .result-message .zeen {
        position: relative;
        padding-top: 9rem;
        padding-bottom: 5rem;
        width: 40%;
        transform: translateX(20%);
    }

    .result-message .cloud {
        left: 20%;
        width: 70%;
        top: 35%;
    }

    .result-message .cloud-text {
        left: 20%;
        width: 70%;
        top: 35%;
        font-size: 0.9rem;
    }

    .cloud-text span {
        font-size: 0.9rem;
    }

    .history-section .history-content {
        font-size: 0.9rem;
        padding-top: 10rem;
    }

    .history-content h1 {
        font-weight: 900;
        font-size: 1.4rem;
    }

    .history-content .count-history {
        margin-top: 1rem;
    }

    .count-history span {
        font-size: 0.9rem;
    }

    .history-content .table-responsive {
        height: 50vh;
        overflow-y: auto;
        overflow-x: auto;
        margin-top: 1rem;
    }

    .table-responsive .history-table {
        font-size: 0.9rem;
    }

    .history-table th {
        padding: 0.5rem 1rem;
    }

    .history-table td {
        padding: 0.5rem 1rem;
    }
}
